package fr.iut_fbleau.apl41.couleurs;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
//import androidx.annotation.Nullable;

public class MaClasse extends View {
    private Paint cercle;

    public MaClasse(Context context, /*@Nullable*/ AttributeSet attributeSet){
        super(context, attributeSet);
        Resources res = this.getResources();

        this.cercle = new Paint();
    }

    @Override
    public void onDraw(Canvas canvas){
        canvas.drawCircle(this.getHeight()/2,this.getWidth()/2,this.getWidth()/2,this.cercle);
    }


    //méthode pour changer la couleur du disque au lieu du fond
    public void changeCircleColor(int couleurId){
        this.cercle.setColor(couleurId);
    }
}
